Next: COMPLEX, Previous: COMPILER_OPTIONS, Up: Intrinsic Procedures [Contents][Index]

### 8.52 `COMPILER_VERSION` — Compiler version string

Description:

  `COMPILER_VERSION` returns a string with the name and the version of the compiler.

Standard:

  Fortran 2008

Class:

  Inquiry function of the module `ISO_FORTRAN_ENV`

Syntax:

  `STR = COMPILER_VERSION()`

Arguments:

  None.

Return value:

  The return value is a default-kind string with system-dependent length. It contains the name of the compiler and its version number.

Example:

         use iso_fortran_env
         print '(4a)', 'This file was compiled by ', &
                       compiler_version(), ' using the options ', &
                       compiler_options()
         end

See also:

  COMPILER_OPTIONS, ISO_FORTRAN_ENV